/* general */

body,
html {
    margin: 0;
    padding: 0;
    font-size: 20px;
}


/* positioning */

#layout-container {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

#game-container{
    margin-bottom: 0.5rem;
}

#game-container canvas {
    border: 3px solid #000;
}

.form-box {
    background-color: white;
    padding: 0.5rem;
}


/* modal container and overlay mask */

#modal {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 1;
    padding-top: 10px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.75);
}


/* modal box */

#modal-box {
    position: relative;
    background-color: #fefefe;
    padding: 40px;
    border: 3px solid #000;
    width: 800px;
    max-width: 90%;
}

#modal-close {
    position: absolute;
    top: 6px;
    right: 10px;
    font-size: 18pt;
    cursor: pointer;
}

#modal-close:hover {
    font-weight: bold;
}
